View Issue Details

IDProjectCategoryView StatusLast Update
0021729LazarusLCLpublic2012-04-17 18:01
ReporterDavid JenkinsAssigned ToFelipe Monteiro de Carvalho 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version0.9.30.5 (SVN)Product Build 
Target VersionFixed in Version1.1 (SVN) 
Summary0021729: No default font height set during TFont creation
DescriptionThe TFont.Height field does not get a default value in TFont.Create. Sometimes causes us problems when sizing controls.

Suggested fix is to set Height to DefFontData.Height in TFont.Create

Patch against rev 36681 attached
TagsNo tags attached.
Fixed in Revision36825
LazTarget-
WidgetsetCarbon
Attached Files
  • font.inc.patch (412 bytes)
    --- /opt/src/laz-svn/lcl/include/font.inc	2012-01-24 11:21:52.000000000 
    +++ /usr/local/share/lazarus/lcl/include/font.inc	2012-01-25 16:09:34.000000000 
    @@ -605,6 +605,7 @@
       FPitch := DefFontData.Pitch;
       FCharSet := DefFontData.CharSet;
       FQuality := DefFontData.Quality;
    +  Height := DefFontData.Height;
       DelayAllocate := True;
       inherited SetName(DefFontData.Name);
       inherited SetFPColor(colBlack);
    
    font.inc.patch (412 bytes)

Activities

2012-04-13 18:26

 

font.inc.patch (412 bytes)
--- /opt/src/laz-svn/lcl/include/font.inc	2012-01-24 11:21:52.000000000 
+++ /usr/local/share/lazarus/lcl/include/font.inc	2012-01-25 16:09:34.000000000 
@@ -605,6 +605,7 @@
   FPitch := DefFontData.Pitch;
   FCharSet := DefFontData.CharSet;
   FQuality := DefFontData.Quality;
+  Height := DefFontData.Height;
   DelayAllocate := True;
   inherited SetName(DefFontData.Name);
   inherited SetFPColor(colBlack);
font.inc.patch (412 bytes)

Zeljan Rikalo

2012-04-14 12:16

developer   ~0058572

@Felipe, please evalute this one, before 1.0 if possible.

Paul Ishenin

2012-04-17 02:50

manager   ~0058663

Changing Height property causes many unwanted actions like calling Changed, FreeReference. I setted FHeight and FSize properties instead.

Please test and close if ok.

Issue History

Date Modified Username Field Change
2012-04-13 18:26 David Jenkins New Issue
2012-04-13 18:26 David Jenkins File Added: font.inc.patch
2012-04-13 18:26 David Jenkins Widgetset => Carbon
2012-04-14 12:16 Zeljan Rikalo LazTarget => -
2012-04-14 12:16 Zeljan Rikalo Note Added: 0058572
2012-04-14 12:16 Zeljan Rikalo Assigned To => Felipe Monteiro de Carvalho
2012-04-14 12:16 Zeljan Rikalo Status new => assigned
2012-04-17 02:50 Paul Ishenin Fixed in Revision => 36825
2012-04-17 02:50 Paul Ishenin Status assigned => resolved
2012-04-17 02:50 Paul Ishenin Fixed in Version => 1.1 (SVN)
2012-04-17 02:50 Paul Ishenin Resolution open => fixed
2012-04-17 02:50 Paul Ishenin Note Added: 0058663
2012-04-17 18:01 David Jenkins Status resolved => closed